#314 closed defect (fixed)

Solaris: [left|right] shift count >= width of type

Reported by: Ralf Corsepius Owned by: Jennifer Averett
Priority: lowest Milestone: 2
Component: fs Version: unknown
Severity: normal Keywords:
Cc: bugs@…, joel.sherrill@…, ralf.corsepius@… Blocked By:
Blocking:

Description

Critical warnings while building libblock:

gcc --pipe -isystem ../../../.././posix/lib/include -DPACKAGE_NAME=\"rtems-c-src-libblock\" -DPACKAGE_TARNAME=\"rtems-c-src-libblock\" -DPACKAGE_VERSION=\"ss-20021111\" -DPACKAGE_STRING=\"rtems-c-src-libblock\ ss-20021111\" -DPACKAGE_BUGREPORT=\"rtems-bugs@…\" -DEXTENSIONS -Dsolaris2 -O2 -DWORKSPACE_MB=2 -DHEAPSPACE_MB=1 -g -O2 -o o-optimize/blkdev.o -c ../../../../../rtems/c/src/../../cpukit/libblock/src/blkdev.c
../../../../../rtems/c/src/../../cpukit/libblock/src/blkdev.c: In function `rtems_blkdev_generic_read':
../../../../../rtems/c/src/../../cpukit/libblock/src/blkdev.c:39: warning: left
shift count >= width of type
../../../../../rtems/c/src/../../cpukit/libblock/src/blkdev.c: In function `rtems_blkdev_generic_write':
../../../../../rtems/c/src/../../cpukit/libblock/src/blkdev.c:100: warning: left shift count >= width of type
../../../../../rtems/c/src/../../cpukit/libblock/src/blkdev.c: In function `rtems_blkdev_generic_open':
../../../../../rtems/c/src/../../cpukit/libblock/src/blkdev.c:157: warning: left shift count >= width of type

Release:
RTEMS-CVS

Environment:
Solaris2.7/gcc-2.95.2 unix/posix-BSP

Attachments (1)

rtems-rc-20021118-1.diff (1.2 KB) - added by Ralf Corsepius on Dec 3, 2006 at 1:31:12 PM.
rtems-rc-20021118-1.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Dec 21, 2002 at 12:26:56 PM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Jul 18, 2003 at 1:57:03 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: I believe this PR was resolved by using a structure overlaying

major/minor with dev_t. This overlay approach resolved warnings on 16 bit targets. If this is not fixed, it will have to be resolved in a subtly different manner.

Changed on Dec 3, 2006 at 1:31:12 PM by Ralf Corsepius

Attachment: rtems-rc-20021118-1.diff added

rtems-rc-20021118-1.diff

Note: See TracTickets for help on using tickets.